var interval;
var imageArray = ["img_01.jpg",
                    "img_02.jpg",
                    "img03.png",
                    "img04.png",
                    "apple1.gif",
                    "ume.gif",
                    "candybars.tiff",
                    "apple2.tiff"];
var imageCount ;
var current ;
var next;

var i;
var j;
var total = i*j;
var flip_num;

var elm_rows = 5;
var elm_width = 640 / elm_rows;
var elm_cols = 10;
var elm_height = 960 / elm_cols;
var front_elm;
var back_elm;
var element;

function init() {
    interval = 2;
    imgCount = imageArray.length;
    current = 0;
    next = 1;
    front_elm  = document.getElementById("front");
    back_elm  = document.getElementById("back");

    for(i=0;i<elm_rows;i++){
        for(j=0;j<elm_cols;j++){
            element = document.createElement('div'); 
            element.id = "front"+i+""+j; 
            element.setAttribute("width",elm_width);
            element.setAttribute("height",elm_height);
            element.style.width = elm_width+1; 
            element.style.height = elm_height+1; 
            element.style.position = "absolute"; 
            element.style.left = elm_width*i; 
            element.style.top = elm_height*j; 
            element.style.backgroundPosition= elm_width*(-i)+" "+ elm_height*(-j);
            front_elm.appendChild(element); 
            
            element = document.createElement('div'); 
            element.id = "back"+i+""+j; 
            element.setAttribute("width",elm_width);
            element.setAttribute("height",elm_height);
            element.style.width = elm_width+1;
            element.style.height = elm_height+1; 
            element.style.position = "absolute"; 
            element.style.left = elm_width*i; 
            element.style.top = elm_height*j; 
            element.style.backgroundPosition= elm_width*(-i)+" "+ elm_height*(-j);
            back_elm.appendChild(element); 
        }
    }

//    front_elm.src = "./images/" + imageArray[current];
//    front_elm.className = "stay";
//    back_elm.src = "./images/" + imageArray[next];
//    back_elm.className = "stay";

    wait();
}

function wait() {
    for(i=0;i<elm_rows;i++){
        for(j=0;j<elm_cols;j++){
            element = document.getElementById("front"+i+j); 
            element.style.backgroundImage= "url('./images/" + imageArray[current] +"')";
            element.className = "front_stay"; 
            element = document.getElementById("back"+i+j); 
            element.style.backgroundImage= "url('./images/" + imageArray[next] +"')";
            element.className = "back_stay"; 
        }
    }
    setTimeout(flip, interval * 1000);
}

function flip() {
    for(i=0;i<elm_rows;i++){
        for(j=0;j<elm_cols;j++){
            flip_num = (i+j)%2 +1;
//            flip_num = Math.floor(Math.random()*3) +1;
            element = document.getElementById("front"+i+j); 
            element.className = "front_flip" + flip_num; 
            element = document.getElementById("back"+i+j); 
            element.className = "back_flip" + flip_num; 
        }
    }

//    front_elm.className = "flip";
//    back_elm.className = "flip";
    element.addEventListener(
        'webkitAnimationEnd',
        flip_end,
        false
    );
}
function flip_end() {
    element.removeEventListener(
        'webkitAnimationEnd',
        flip_end,
        false
    );
    current = next;
//    front_elm.src = "./images/" + imageArray[current];
//    front_elm.className = "stay";
    next=(current + 1) % imgCount;
//    back_elm.src = "./images/" + imageArray[next];
//    back_elm.className = "stay";
    wait();
}